# Gst::TypeFindElement Class Reference
[gstreamermm Plugins]

A Wrapper for the typefind plugin. More...

Inherits Gst::Element.

Collaboration diagram for Gst::TypeFindElement:
[legend]

List of all members.

## Public Member Functions

virtual | ~TypeFindElement ()
GstTypeFindElement* | gobj ()
| Provides access to the underlying C GObject.
const GstTypeFindElement* | gobj () const
| Provides access to the underlying C GObject.
GstTypeFindElement* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_caps () const
| detected capabilities in stream.
Glib::PropertyProxy< guint > | property_minimum ()
| minimum probability required to accept caps.
Glib::PropertyProxy_ReadOnly < guint > | property_minimum () const
| minimum probability required to accept caps.
Glib::PropertyProxy< guint > | property_maximum ()
| probability to stop typefinding (deprecated; non-functional).
Glib::PropertyProxy_ReadOnly < guint > | property_maximum () const
| probability to stop typefinding (deprecated; non-functional).
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_force_caps ()
| force caps without doing a typefind.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_force_caps () const
| force caps without doing a typefind.
Glib::SignalProxy2< void, guint, const Glib::RefPtr < Gst::Caps >& > | signal_have_type ()

## Static Public Member Functions

static Glib::RefPtr < TypeFindElement > | create ()
| Creates a new typefind plugin with a unique name.
static Glib::RefPtr < TypeFindElement > | create (const Glib::ustring& name)
| Creates a new typefind plugin with the given name.

## Protected Member Functions

| TypeFindElement ()
| TypeFindElement (const Glib::ustring& name)
virtual void | on_have_type (guint arg0, const Glib::RefPtr< Gst::Caps >& arg1)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gst::TypeFindElement > | wrap (GstTypeFindElement* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the typefind plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TypeFindElement::~TypeFindElement | ( |  | ) | `[virtual]`

Gst::TypeFindElement::TypeFindElement | ( |  | ) | `[protected]`

Gst::TypeFindElement::TypeFindElement | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TypeFindElement> Gst::TypeFindElement::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new typefind plugin with the given name.

static Glib::RefPtr<TypeFindElement> Gst::TypeFindElement::create | ( |  | ) | `[static]`

Creates a new typefind plugin with a unique name.

const GstTypeFindElement* Gst::TypeFindElement::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTypeFindElement* Gst::TypeFindElement::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTypeFindElement* Gst::TypeFindElement::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

virtual void Gst::TypeFindElement::on_have_type | ( | guint | arg0,
|  | const Glib::RefPtr< Gst::Caps >& | arg1 |
| ) |  |  | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::TypeFindElement::property_caps | ( |  | ) | const

detected capabilities in stream.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::TypeFindElement::property_force_caps | ( |  | ) | const

force caps without doing a typefind.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::TypeFindElement::property_force_caps | ( |  | ) |

force caps without doing a typefind.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::TypeFindElement::property_maximum | ( |  | ) | const

probability to stop typefinding (deprecated; non-functional).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::TypeFindElement::property_maximum | ( |  | ) |

probability to stop typefinding (deprecated; non-functional).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::TypeFindElement::property_minimum | ( |  | ) | const

minimum probability required to accept caps.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::TypeFindElement::property_minimum | ( |  | ) |

minimum probability required to accept caps.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2< void,guint,const Glib::RefPtr<Gst::Caps>& > Gst::TypeFindElement::signal_have_type | ( |  | ) |

Prototype:
  `void on_my_have_type(guint arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TypeFindElement > wrap | ( | GstTypeFindElement * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/typefindelement.h